Bug 994208 - xguest: session not active after login using gdm
xguest: session not active after login using gdm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xguest (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 14:04 EDT by Michael Laß
Modified: 2015-12-29 18:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:15:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Laß 2013-08-06 14:04:10 EDT
Description of problem:

After login using the xguest user there is no direct rendering available, because no ACLs are set on /dev/dri/card0.

Version-Release number of selected component (if applicable):

xguest.noarch 1.0.10-7.fc19
systemd.x86_64 204-9.fc19 

How reproducible:

Steps to Reproduce:
1. Install xguest
2. Login as user xguest using GDM

Actual results:
- no ACLs are being set on /dev/dri/card0
  (getfacl: http://pastebin.com/raw.php?i=XyS9JRNu)
- no direct rendering is available

Expected results:
- ACLs of /dev/dri/card0 should include user:xguest:rw-
- direct rendering should be available

Additional info:
- A workaround is to add xguest to the video group, so no ACLs are necessary to access the video device
- loginctl show-session: http://pastebin.com/raw.php?i=h6NcnSLp
Comment 1 Michael Laß 2013-08-07 07:39:53 EDT
Ok. The problem here is that the session is not "active". Direct rendering is not the only issue resulting from that. Also sound is not available because no ACLs on /dev/snd/... are set.

When using lxdm instead of gdm it works as expected. The session is active after login and all ACLs are set correctly.
Comment 2 Daniel Walsh 2013-08-28 11:52:33 EDT
I have no idea why this would only happen on xguest and working on lxdm would seem to indicate you have a problem in your gnome stack
Comment 3 Michael Laß 2013-09-17 10:49:13 EDT
I just reproduced this with a clean install inside a VM:

 1. install Fedora 19 via netinst
    (other systems were installed via LiveCD and also were affected)

 2. yum --enablerepo=updates-testing install xguest
    (problem was _not_ introduced by the new version in testing)

 3. log in as "Guest" via GDM

 4. loginctl show-session 2 [or whatever the number now is]

Result:
 [...]
 Active=no
 [...]
Comment 4 Daniel Walsh 2013-09-17 13:49:32 EDT
 getsebool selinuxuser_direct_dri_enabled
selinuxuser_direct_dri_enabled --> on
Comment 5 Michael Laß 2013-09-17 14:18:36 EDT
Same here, but no ACLs on the devices because systemd-logind seems not to know that the session is active and so the user should have permissions to access the devices.

Also interesting:

[root@localhost ~]# loginctl activate 1
Failed to issue method call: No such device or address

(In this case session 1 is the one of xguest, the command is called by root on another tty)

Another detail: "loginctl session-status X" (X is session no.) shows
  Seat: seat0
for xguest's session. For any other session it shows something like
  Seat: seat0; vc2

Because all of this I personaly don't think the issue is related to selinux but to session management and the gdm login.
Comment 6 Kevin R. Page 2013-12-22 17:32:25 EST
No sound in xguest on F20.

loginctl show-session 
says Active=no and session-state gives Seat: seat0 as above.

Do the comments above suggest this should be reassigned to gdm?
Comment 7 Kevin R. Page 2014-03-12 11:30:39 EDT
Could the reporter reassign to gdm or systemd-logind then? It doesn't seem likely to get fixed whilst assigned to selinux.

(and update to F20)

Thanks!
Comment 8 Daniel Walsh 2014-03-16 17:50:06 EDT
Lukas can you play around with this and see if you get sound with xguest in F20
Comment 9 Kevin R. Page 2014-06-14 23:29:41 EDT
xguest.noarch 1.0.10-31.fc20
systemd.x86_64 208-17.fc20

Still displays just "Seat: seat0"
Comment 10 Fedora End Of Life 2015-01-09 14:19:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Michael Laß 2015-01-09 15:04:25 EST
Bumping Fedora version to 20 since at least Kevin faces this problem there. I did not try to reproduce this ever since but it should be easy to do so by following the steps given in comment 3.
Comment 12 Fedora End Of Life 2015-05-29 05:17:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:15:00 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Kevin R. Page 2015-12-29 18:43:39 EST
As a final followup to this now-EOLed bug, I can report that this seems to be fixed in Fedora 23, at least. Many thanks.

Note You need to log in before you can comment on or make changes to this bug.